<?php

/**
 * @file
 * Administration settings for gigya_bookmark button integration
 */

/**
 * Administration settings form.
 *
 * @return
 *   The completed form definition.
 */
function gigya_bookmark_admin_settings() {
  $form = array();

  $image_options = array(
    'default'        => t('Default'),
    'custom'         => t('Custom image'),
  );
  $display_options = array(
    'default'        => t('LINK section'),
    'custom'         => t('CONTENT section'),
  );
  $behaviour_options = array(
    'click'          => t('Open on mouse click'),
    'mouseOver'      => t('Open on mouse over'),
    'popup'          => t('Open popup on mouse click'),
  );
  $theme_options = array(
    '6'              => t('New Classic'),
    '0'              => t('Classic'),
    '1'              => t('Ocean Blue'),
    '2'              => t('Emo'),
    '3'              => t('Romantic'),
    '4'              => t('Earth'),
    '5'              => t('Sky Blue'),
  );

  $form['gigya_bookmark_general_settings'] = array(
    '#type'          => 'fieldset',
    '#title'         => t('General'),
  );
  $form['gigya_bookmark_general_settings']['gigya_bookmark_partner_id'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Gigya Partner ID'),
    '#default_value' => variable_get('gigya_bookmark_partner_id', ''),
    '#description'   => t('You need to register a free Gigya !account. Find your Partner ID on !this page.', array('!account' => l(t('account'), 'http://www.gigya.com/', array('attributes' => array('target' => '_blank'))), '!this' => l(t('this'), 'http://www.gigya.com/site/partners/Socialize.aspx', array('attributes' => array('target' => '_blank'))))),
    '#required'      => TRUE,
  );
  $form['gigya_bookmark_general_settings']['gigya_bookmark_nodetypes'] = array(
    '#type'          => 'checkboxes',
    '#title'         => t('Node Types'),
    '#description'   => t('Display a Gigya Bookmark button for these node types.'),
    '#default_value' => variable_get('gigya_bookmark_nodetypes', array('page', 'story')),
    '#options'       => node_get_types('names'),
  );
  $form['gigya_bookmark_general_settings']['gigya_bookmark_display_in'] = array(
    '#type'      => 'radios',
    '#title'      => t('Button location'),
    '#default_value' => variable_get('gigya_bookmark_image', 'default'),
    '#description'   => t('Choose where to show the bookmark button.'),
    '#options'      => $display_options,
  );
  $form['gigya_bookmark_general_settings']['gigya_bookmark_display_weight'] = array(
    '#type'          => 'weight',
    '#title'         => t('Weight'),
    '#default_value' => variable_get('gigya_bookmark_display_weight', 40),
    '#delta'         => 50,
    '#description'   => t('Optional: WEIGHT value for the Gigya Bookmark button displayed in CONTENT section'),
  );
  $form['gigya_bookmark_button_settings'] = array(
    '#type'         => 'fieldset',
    '#title'        => t('Button'),
    '#collapsible'  => TRUE,
    '#collapsed'    => FALSE,
  );
  $form['gigya_bookmark_button_settings']['gigya_bookmark_image'] = array(
    '#type'      => 'radios',
    '#title'      => t('Button'),
    '#default_value' => variable_get('gigya_bookmark_image', 'default'),
    '#options'      => $image_options,
  );
  $form['gigya_bookmark_button_settings']['gigya_bookmark_custom_image'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Custom button URL'),
    '#default_value' => variable_get('gigya_bookmark_custom_image', ''),
    '#description'   => t('URL to the button image of your choosing. Example: http://example.com/bookmark.png'),
  );
  $form['gigya_bookmark_widget_settings'] = array(
    '#type'         => 'fieldset',
    '#title'        => t('Widget settings'),
    '#collapsible'  => TRUE,
    '#collapsed'    => TRUE,
  );
  $form['gigya_bookmark_widget_settings']['gigya_bookmark_button_behaviour'] = array(
    '#type'      => 'radios',
    '#title'     => t('Button action'),
    '#default_value' => variable_get('gigya_bookmark_button_behaviour', 'click'),
    '#options'     => $behaviour_options,
  );
  $form['gigya_bookmark_widget_settings']['gigya_bookmark_button_theme'] = array(
    '#type'      => 'radios',
    '#title'     => t('Button theme'),
    '#default_value' => variable_get('gigya_bookmark_button_theme', '6'),
    '#options'     => $theme_options,
  );

  return system_settings_form($form);
}